# Uses of Interface
org.eclipse.e4.ui.css.core.util.resources.IResourceLocator

Packages that use IResourceLocator
Package
Description
org.eclipse.e4.ui.css.core.util.impl.resources
org.eclipse.e4.ui.css.core.util.resources
org.eclipse.e4.ui.css.swt.theme

## Uses of IResourceLocator in org.eclipse.e4.ui.css.core.util.impl.resources

Classes in org.eclipse.e4.ui.css.core.util.impl.resources that implement IResourceLocator
Modifier and Type
Class
Description
`class`
`FileResourcesLocatorImpl`
Basic File resources locator implementation.
`class`
`HttpResourcesLocatorImpl`
Http resources locator implementation.
`class`
`OSGiResourceLocator`
`class`
`ResourcesLocatorManager`
Resources locator manager implementation.
Methods in org.eclipse.e4.ui.css.core.util.impl.resources with parameters of type IResourceLocator
Modifier and Type
Method
Description
`void`
ResourcesLocatorManager.`registerResourceLocator(IResourceLocator resourceLocator)`
`void`
ResourcesLocatorManager.`unregisterResourceLocator(IResourceLocator resourceLocator)`

## Uses of IResourceLocator in org.eclipse.e4.ui.css.core.util.resources

Subinterfaces of IResourceLocator in org.eclipse.e4.ui.css.core.util.resources
Modifier and Type
Interface
Description
`interface`
`IResourcesLocatorManager`
Resources locator manage to register/unregister `IResourceLocator`.
Methods in org.eclipse.e4.ui.css.core.util.resources with parameters of type IResourceLocator
Modifier and Type
Method
Description
`void`
IResourcesLocatorManager.`registerResourceLocator(IResourceLocator resourceLocator)`
Register `resourceLocator`.
`void`
IResourcesLocatorManager.`unregisterResourceLocator(IResourceLocator resourceLocator)`
Unregister `resourceLocator`.

## Uses of IResourceLocator in org.eclipse.e4.ui.css.swt.theme

Methods in org.eclipse.e4.ui.css.swt.theme with parameters of type IResourceLocator
Modifier and Type
Method
Description
`void`
IThemeEngine.`registerResourceLocator(IResourceLocator locator, String... themes)`
Register a resource locator used to look up image sources